Review Composer
Register review agent
Register an async review agent for a connected private repository.
POST
/
v1
/
review-composer
/
agents
Register review agent
curl --request POST \
--url https://api.getmillwork.dev/v1/review-composer/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"endpoint": {
"auth_ref": "<string>",
"url": "<string>"
},
"max_runtime_s": 43215,
"repository": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
display_name: '<string>',
endpoint: {auth_ref: '<string>', url: '<string>'},
max_runtime_s: 43215,
repository: '<string>'
})
};
fetch('https://api.getmillwork.dev/v1/review-composer/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"arm_id": "<string>",
"status": "ready",
"status_reason": "<string>"
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"blockers": [
{
"action": "<string>",
"actor": "<string>",
"code": "access_unverified",
"evidence_refs": [
"<string>"
],
"message": "<string>"
}
],
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"next_actions": [
{
"action": "<string>",
"actor": "<string>"
}
],
"reason": "agreement_terminated",
"reason_code": "access_unverified",
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"blockers": [
{
"action": "<string>",
"actor": "<string>",
"code": "access_unverified",
"evidence_refs": [
"<string>"
],
"message": "<string>"
}
],
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"next_actions": [
{
"action": "<string>",
"actor": "<string>"
}
],
"reason": "agreement_terminated",
"reason_code": "access_unverified",
"retry_after_s": 123
}Authorizations
bearerAuthsessionCookie
Body
application/json
⌘I
Register review agent
curl --request POST \
--url https://api.getmillwork.dev/v1/review-composer/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"endpoint": {
"auth_ref": "<string>",
"url": "<string>"
},
"max_runtime_s": 43215,
"repository": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
display_name: '<string>',
endpoint: {auth_ref: '<string>', url: '<string>'},
max_runtime_s: 43215,
repository: '<string>'
})
};
fetch('https://api.getmillwork.dev/v1/review-composer/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"arm_id": "<string>",
"status": "ready",
"status_reason": "<string>"
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"blockers": [
{
"action": "<string>",
"actor": "<string>",
"code": "access_unverified",
"evidence_refs": [
"<string>"
],
"message": "<string>"
}
],
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"next_actions": [
{
"action": "<string>",
"actor": "<string>"
}
],
"reason": "agreement_terminated",
"reason_code": "access_unverified",
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"blockers": [
{
"action": "<string>",
"actor": "<string>",
"code": "access_unverified",
"evidence_refs": [
"<string>"
],
"message": "<string>"
}
],
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"next_actions": [
{
"action": "<string>",
"actor": "<string>"
}
],
"reason": "agreement_terminated",
"reason_code": "access_unverified",
"retry_after_s": 123
}